## org.ascape.model.space
Interface NodeOccupant

All Superinterfaces:
  Location, Node

    public interface NodeOccupant

extends Node

The Interface NodeOccupant.

Method Summary
`Space` `getHostSpace()` Gets the host space.

Methods inherited from interface org.ascape.model.space.Node
`findNeighbors, findRandomAvailableNeighbor, findRandomNeighbor, getOccupant, isAvailable, setOccupant`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, clone, getCoordinate, initialize, isDelete, markForDeletion, setCoordinate`

Method Detail

### getHostSpace

    Space getHostSpace()

  Gets the host space.

  Returns:
    the host space